Subject: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 08 Feb 2016 17:18:14 +1100

Juanma Barranquero <[email-masked]> writes:

> The following patch shows all display warnings (errors, in fact),
> after 5 seconds of idle time.

Did we forget about this one?  We didn't seem to apply it, at least...

> It's quite simple because I've assumed every call to add_to_log()
> wants to warn, the TYPE (in warnings.el terminology) is always
> `display', and the LEVEL is `:error'.
>
> If not all such calls should warn, or the LEVEL should sometimes be
> other than :error, the change is simple (just add a couple args to
> add_to_log), though someone will have to decide what to do in each
> current instance (as I said, it's not hard, as there are only nine or
> so).
>
> As for the TYPE, it's easy to change it in each case, but then
> filtering gets a bit more complex for little gain.
>
>     Juanma
>
> === modified file 'lisp/subr.el'
> --- lisp/subr.el	2012-01-23 02:10:36 +0000
> +++ lisp/subr.el	2012-01-26 17:00:50 +0000
> @@ -1879,7 +1879,37 @@
>          (push warning collapsed)))
>      (setq delayed-warnings-list (nreverse collapsed))))
>
> +(defconst display-errors-idle-time 5.0
> +  "Interval of idle time before warning about display errors.")
> +
> +(defvar display-errors-pending nil
> +  "Internal use only.")

(etc)

I think this looks like a good approach.  Any reason it wasn't applied?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no